Subject: Re: bug#34454: Gtk upstream bug #1280 causes crashes in IceCat and Emacs

From: Mark H Weaver <[email-masked]>
Date: Sat, 30 Mar 2019 02:41:13 -0400

Hi Carlo,

Carlo Zancanaro <[email-masked]> writes:

> Thanks so much for taking a look at this!
>
> On Sat, Mar 30 2019, Mark H Weaver wrote:
>> If those affected by this issue would like to test this patch and
>> report back, that would be helpful.
>
> I applied your patch to my local Guix, and everything is working fine
> again. I had been working around the problem by using
> emacs-no-x-toolkit, but with your patch I can use the normal emacs
> package again without issues.

Great, thanks for the report!  Based on this, I went ahead and pushed a
slightly improved patch, commit bc91562939ee002e84c95d13c907482b6d1e9339
on the master branch.

Joshua and Bradley: you should be able to simply "guix pull" and then
update your IceCat package, and hopefully the problem will be fixed.
Please let us know.

     Thanks!
       Mark